Blame SOURCES/openscap-1.3.6-PR-1745-waive-hugepages.patch

f8d3e0
From 192f908562779fe4c9b7e5cc7605840976a06c85 Mon Sep 17 00:00:00 2001
f8d3e0
From: =?UTF-8?q?Jan=20=C4=8Cern=C3=BD?= <jcerny@redhat.com>
f8d3e0
Date: Mon, 26 Apr 2021 13:13:26 +0200
f8d3e0
Subject: [PATCH] Waive the known issue with hugepages on ppc64/ppc64le
f8d3e0
f8d3e0
The known issue has been reported in
f8d3e0
https://bugzilla.redhat.com/show_bug.cgi?id=1642995
f8d3e0
f8d3e0
This modification is currently applied as a patch applied during setup
f8d3e0
phase of Sanity/smoke-test in Fedora CI gating.
f8d3e0
https://src.fedoraproject.org/tests/openscap/blob/main/f/Sanity/smoke-test
f8d3e0
The patched file got changed recetly so the patch doesn't apply anymore
f8d3e0
which causes the Rawhide gating to fail.
f8d3e0
We have decided to propose the change to upstream to avoid the need
f8d3e0
for modifying the patch in the tests and to prevent similar problems
f8d3e0
in the future.
f8d3e0
---
f8d3e0
 tests/probes/sysctl/test_sysctl_probe_all.sh | 5 +++++
f8d3e0
 1 file changed, 5 insertions(+)
f8d3e0
f8d3e0
diff --git a/tests/probes/sysctl/test_sysctl_probe_all.sh b/tests/probes/sysctl/test_sysctl_probe_all.sh
f8d3e0
index 2280ff7ae..c79d7ed18 100755
f8d3e0
--- a/tests/probes/sysctl/test_sysctl_probe_all.sh
f8d3e0
+++ b/tests/probes/sysctl/test_sysctl_probe_all.sh
f8d3e0
@@ -73,6 +73,10 @@ if [ "$procps_ver" != "$lowest_ver" ]; then
f8d3e0
 	sed -i '/.*vm.stat_refresh/d' "$sysctlNames"
f8d3e0
 fi
f8d3e0
 
f8d3e0
+if ! grep -q "hugepages" "$ourNames"; then
f8d3e0
+	sed -i "/^.*hugepages.*$/d" "$sysctlNames"
f8d3e0
+fi
f8d3e0
+
f8d3e0
 echo "Diff (sysctlNames / ourNames): ------"
f8d3e0
 diff "$sysctlNames" "$ourNames"
f8d3e0
 echo "-------------------------------------"
f8d3e0
@@ -84,6 +88,7 @@ sed -i -E "/^E: oscap: +Can't read sysctl value from /d" "$stderr"
f8d3e0
 # that can't fit into 8K buffer and result in errno 14
f8d3e0
 # (for example /proc/sys/kernel/spl/hostid could be the case)
f8d3e0
 sed -i -E "/^E: oscap: +An error.*14, Bad address/d" "$stderr"
f8d3e0
+sed -i "/^.*hugepages.*$/d" "$stderr"
f8d3e0
 
f8d3e0
 echo "Errors (without messages related to permissions):"
f8d3e0
 cat "$stderr"